Get Bank Detail
Retrieves the bank details for a given IFSC Code
Query Parameters
ifscCode Ifsccode required
11 digit unique IFSC code
Responses
- 200
- 422
Successful Response
application/json
Schema
Example (from schema)
Schema
reqId Reqid required
errors undefined[]
Default value: []
data object required
IFSCCode Ifsccode
11 digit unique IFSC code
STDCode Stdcode
STD code of bank
bankName Bankname
Name of the bank
branchName Branchname
Name of the branch
micrCode Micrcode
MICR code
branchAddress Branchaddress
Branch address
city City
Bank city
district District
Bank district
state State
bank state
{
"reqId": "string",
"errors": [
null
],
"data": {
"IFSCCode": "string",
"STDCode": "string",
"bankName": "string",
"branchName": "string",
"micrCode": "string",
"branchAddress": "string",
"city": "string",
"district": "string",
"state": "string"
}
}
Validation Error
application/json
Schema
Example (from schema)
Schema
- Array [
- Array [
- ]
- ]
detail object[]
loc object[] required
oneOf
MOD1
MOD2
string
integer
msg Message required
type Error Type required
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string"
}
]
}
Loading...